- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e865271e-bd96-4145-bfdb-645ef98785cd
    creation_time: 2023-02-17T13:39:35.729504Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
    file_hash: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: t == 2 * a + 1 && s == (a + 1) * (a + 1) && t * t - 4 * s + 2 * t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b0bd164b-cfb7-43af-be52-7ee41a0dff1a
    creation_time: 2023-02-17T13:39:35.729929Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
    file_hash: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
    line: 31
    column: 0
    function: main
  location_invariant:
    string: t == 2*a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 37bc82cf-fdc0-4e06-bd4a-3a92915edf10
    creation_time: 2023-02-17T13:39:35.730029Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
    file_hash: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
    line: 32
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 8503abd2-c7e6-4c4d-8ea8-5d8756c71d4d
    creation_time: 2023-02-17T13:39:35.730111Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
    file_hash: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
    line: 33
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0f33a23b-e1a9-4cdb-a74f-3e7a8b5e6484
    creation_time: 2023-02-17T13:39:35.730210Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
    file_hash: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
    line: 44
    column: 0
    function: main
  location_invariant:
    string: t == 2 * a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1cd52336-29f4-416b-8109-189d63daae71
    creation_time: 2023-02-17T13:39:35.730303Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
    file_hash: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
    line: 45
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2651e22f-f570-437d-9d2d-a91d8bc1b791
    creation_time: 2023-02-17T13:39:35.730413Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound20.c
    file_hash: 4b6ae28789704f5fd465d11d450ce27cd9b971ac76fe8e36268d0ace5b5b057f
    line: 46
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

